
Ruby - Feature #6163

Remove syck YAML extension

03/17/2012 08:31 AM - drbrain (Eric Hodel)

Status: Closed   

Priority: Normal   

Assignee: tenderlovemaking (Aaron Patterson)   

Target version:    

Description

=begin

The syck extension should be removed for the following reasons:

Syck only supports YAML 1.0

Syck is not YAML 1.0 compliant.

Syck is not easy to maintain, and many of the bugs existing in it have not been fixed.

Psych uses libyaml for YAML parsing of 1.0 and 1.1 documents.

The libyaml parser is maintained by a third party and shared by many projects so we benefit from bug fixes from a broad user base.

It is too hard to type "Syck" vs "Psych" I often type "Sych" or "Psyck" (joke).

=end

Related issues:

Related to Ruby - Feature #2340: Removing YAML/Syck Rejected 11/06/2009

Related to Ruby - Bug #8344: Status of Psych and Syck Closed 04/28/2013

History

#1 - 03/18/2012 06:46 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#2 - 09/03/2012 09:39 PM - vo.x (Vit Ondruch)

Seems that in r36786 the syck was dropped, but its directory structure remains in the SCM. It should be probably removed as well. Thank you.

#3 - 09/09/2012 01:06 AM - sorah (Sorah Fukumori)

- Status changed from Assigned to Closed
